Subject: bug#2749: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 May 2013 20:38:46 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 19 May 2013 18:28:59 +0200
> 
> On Sun, 19 May 2013 18:29:26 +0300 Eli Zaretskii <[email-masked]> wrote:
> 
> >> From: Stephen Berman <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Sat, 18 May 2013 22:30:00 +0200
> >> 
> >> I hope Stefan's silence till now just means he hasn't yet had time to
> >> give this issue due consideration....
> >> 
> >> In the mean time, I've encountered another problem, which has nothing to
> >> do with display properties or overlays:
> >
> > So let me see if I understand how this works: you discover one by one
> > the problems about this change, those same problems I was afraid of,
> > and I get to debug them, is that right? ;-)
> 
> Is this new problem one you anticipated?  I thought you were worried
> about problems arising from heavy use of display properties, but this
> doesn't involve any.

Changes such as the one you suggested are bound to break any number of
places that are all related to functions that simulate display.
vertical-motion is one of them, but in no way the only one.  Display
properties and overlays tend to reveal such problems sooner, because
they already strain the relevant code, and require all kinds of
ad-hoc'ery that is easy to break.  But they are not the only ones.

> Of course, I would be grateful if you'd give me any help or advice about
> how to debug it, but I suspect that wouldn't be less burdensome to you
> than debugging it yourself ;-)
> 
> > Is there any point in this game where we say "enough", as too many
> > problems were discovered for too small a gain?  Or does this go on
> > forever?
> 
> Well, I hope you agree what started this is a real bug.  If you, Stefan
> or other Emacs maintainers tell me it's not worth fixing, I can live
> with that.  But as long as long as it's not fixed, other people may
> encounter it and report it again....

I don't mind trying a bit longer, I just want to know what kind of
process are we involved in here.  If there were a decision (by Stefan)
to introduce this feature no matter what, then I'd understand that any
fallout needs to be fixed.  But this not being the case, I wonder what
are we trying to accomplish here.

I'll take a look when I have time.